Main Page Widgets Namespaces Book

# Enums and Flags

## Enumerations

enum | Gdk::AxisUse { Gdk::AXIS_IGNORE, Gdk::AXIS_X, Gdk::AXIS_Y, Gdk::AXIS_PRESSURE, Gdk::AXIS_XTILT, Gdk::AXIS_YTILT, Gdk::AXIS_WHEEL, Gdk::AXIS_LAST }
enum | Gdk::ByteOrder { Gdk::LSB_FIRST, Gdk::MSB_FIRST }
enum | Gdk::CapStyle { Gdk::CAP_NOT_LAST, Gdk::CAP_BUTT, Gdk::CAP_ROUND, Gdk::CAP_PROJECTING }
enum | Gdk::Colorspace { Gdk::COLORSPACE_RGB }

enum

Gdk::CursorType {
Gdk::X_CURSOR = 0,
Gdk::ARROW = 2,
Gdk::BASED_ARROW_DOWN = 4,
Gdk::BASED_ARROW_UP = 6,
Gdk::BOAT = 8,
Gdk::BOGOSITY = 10,
Gdk::BOTTOM_LEFT_CORNER = 12,
Gdk::BOTTOM_RIGHT_CORNER = 14,
Gdk::BOTTOM_SIDE = 16,
Gdk::BOTTOM_TEE = 18,
Gdk::BOX_SPIRAL = 20,
Gdk::CENTER_PTR = 22,
Gdk::CIRCLE = 24,
Gdk::CLOCK = 26,
Gdk::COFFEE_MUG = 28,
Gdk::CROSS = 30,
Gdk::CROSS_REVERSE = 32,
Gdk::CROSSHAIR = 34,
Gdk::DIAMOND_CROSS = 36,
Gdk::DOT = 38,
Gdk::DOTBOX = 40,
Gdk::DOUBLE_ARROW = 42,
Gdk::DRAFT_LARGE = 44,
Gdk::DRAFT_SMALL = 46,
Gdk::DRAPED_BOX = 48,
Gdk::EXCHANGE = 50,
Gdk::FLEUR = 52,
Gdk::GOBBLER = 54,
Gdk::GUMBY = 56,
Gdk::HAND1 = 58,
Gdk::HAND2 = 60,
Gdk::HEART = 62,
Gdk::ICON = 64,
Gdk::IRON_CROSS = 66,
Gdk::LEFT_PTR = 68,
Gdk::LEFT_SIDE = 70,
Gdk::LEFT_TEE = 72,
Gdk::LEFTBUTTON = 74,
Gdk::LL_ANGLE = 76,
Gdk::LR_ANGLE = 78,
Gdk::MAN = 80,
Gdk::MIDDLEBUTTON = 82,
Gdk::MOUSE = 84,
Gdk::PENCIL = 86,
Gdk::PIRATE = 88,
Gdk::PLUS = 90,
Gdk::QUESTION_ARROW = 92,
Gdk::RIGHT_PTR = 94,
Gdk::RIGHT_SIDE = 96,
Gdk::RIGHT_TEE = 98,
Gdk::RIGHTBUTTON = 100,
Gdk::RTL_LOGO = 102,
Gdk::SAILBOAT = 104,
Gdk::SB_DOWN_ARROW = 106,
Gdk::SB_H_DOUBLE_ARROW = 108,
Gdk::SB_LEFT_ARROW = 110,
Gdk::SB_RIGHT_ARROW = 112,
Gdk::SB_UP_ARROW = 114,
Gdk::SB_V_DOUBLE_ARROW = 116,
Gdk::SHUTTLE = 118,
Gdk::SIZING = 120,
Gdk::SPIDER = 122,
Gdk::SPRAYCAN = 124,
Gdk::STAR = 126,
Gdk::TARGET = 128,
Gdk::TCROSS = 130,
Gdk::TOP_LEFT_ARROW = 132,
Gdk::TOP_LEFT_CORNER = 134,
Gdk::TOP_RIGHT_CORNER = 136,
Gdk::TOP_SIDE = 138,
Gdk::TOP_TEE = 140,
Gdk::TREK = 142,
Gdk::UL_ANGLE = 144,
Gdk::UMBRELLA = 146,
Gdk::UR_ANGLE = 148,
Gdk::WATCH = 150,
Gdk::XTERM = 152,
Gdk::LAST_CURSOR = 153,
Gdk::CURSOR_IS_PIXMAP = -1
}

enum | Gdk::DragAction { Gdk::ACTION_DEFAULT = 1 << 0, Gdk::ACTION_COPY = 1 << 1, Gdk::ACTION_MOVE = 1 << 2, Gdk::ACTION_LINK = 1 << 3, Gdk::ACTION_PRIVATE = 1 << 4, Gdk::ACTION_ASK = 1 << 5 }
enum | Gdk::DragProtocol { Gdk::DRAG_PROTO_MOTIF, Gdk::DRAG_PROTO_XDND, Gdk::DRAG_PROTO_NONE, Gdk::DRAG_PROTO_WIN32_DROPFILES, Gdk::DRAG_PROTO_OLE2, Gdk::DRAG_PROTO_LOCAL }

enum

Gdk::EventMask {
Gdk::EXPOSURE_MASK = 1 << 1,
Gdk::POINTER_MOTION_MASK = 1 << 2,
Gdk::POINTER_MOTION_HINT_MASK = 1 << 3,
Gdk::BUTTON_MOTION_MASK = 1 << 4,
Gdk::BUTTON1_MOTION_MASK = 1 << 5,
Gdk::BUTTON2_MOTION_MASK = 1 << 6,
Gdk::BUTTON3_MOTION_MASK = 1 << 7,
Gdk::BUTTON_PRESS_MASK = 1 << 8,
Gdk::BUTTON_RELEASE_MASK = 1 << 9,
Gdk::KEY_PRESS_MASK = 1 << 10,
Gdk::KEY_RELEASE_MASK = 1 << 11,
Gdk::ENTER_NOTIFY_MASK = 1 << 12,
Gdk::LEAVE_NOTIFY_MASK = 1 << 13,
Gdk::FOCUS_CHANGE_MASK = 1 << 14,
Gdk::STRUCTURE_MASK = 1 << 15,
Gdk::PROPERTY_CHANGE_MASK = 1 << 16,
Gdk::VISIBILITY_NOTIFY_MASK = 1 << 17,
Gdk::PROXIMITY_IN_MASK = 1 << 18,
Gdk::PROXIMITY_OUT_MASK = 1 << 19,
Gdk::SUBSTRUCTURE_MASK = 1 << 20,
Gdk::SCROLL_MASK = 1 << 21,
Gdk::ALL_EVENTS_MASK = 0x3FFFFE
}

enum

Gdk::EventType {
Gdk::NOTHING = -1,
Gdk::DELETE,
Gdk::DESTROY,
Gdk::EXPOSE,
Gdk::MOTION_NOTIFY,
Gdk::BUTTON_PRESS,
Gdk::DOUBLE_BUTTON_PRESS,
Gdk::TRIPLE_BUTTON_PRESS,
Gdk::BUTTON_RELEASE,
Gdk::KEY_PRESS,
Gdk::KEY_RELEASE,
Gdk::ENTER_NOTIFY,
Gdk::LEAVE_NOTIFY,
Gdk::FOCUS_CHANGE,
Gdk::CONFIGURE,
Gdk::MAP,
Gdk::UNMAP,
Gdk::PROPERTY_NOTIFY,
Gdk::SELECTION_CLEAR,
Gdk::SELECTION_REQUEST,
Gdk::SELECTION_NOTIFY,
Gdk::PROXIMITY_IN,
Gdk::PROXIMITY_OUT,
Gdk::DRAG_ENTER,
Gdk::DRAG_LEAVE,
Gdk::DRAG_MOTION,
Gdk::DRAG_STATUS,
Gdk::DROP_START,
Gdk::DROP_FINISHED,
Gdk::CLIENT_EVENT,
Gdk::VISIBILITY_NOTIFY,
Gdk::NO_EXPOSE,
Gdk::SCROLL,
Gdk::WINDOW_STATE,
Gdk::SETTING,
Gdk::OWNER_CHANGE,
Gdk::GRAB_BROKEN
}

enum | Gdk::ExtensionMode { Gdk::EXTENSION_EVENTS_NONE, Gdk::EXTENSION_EVENTS_ALL, Gdk::EXTENSION_EVENTS_CURSOR }
enum | Gdk::Fill { Gdk::SOLID, Gdk::TILED, Gdk::STIPPLED, Gdk::OPAQUE_STIPPLED }
enum | Gdk::FillRule { Gdk::EVEN_ODD_RULE, Gdk::WINDING_RULE }
enum | Gdk::Function { Gdk::COPY, Gdk::INVERT, Gdk::XOR, Gdk::CLEAR, Gdk::AND, Gdk::AND_REVERSE, Gdk::AND_INVERT, Gdk::NOOP, Gdk::OR, Gdk::EQUIV, Gdk::OR_REVERSE, Gdk::COPY_INVERT, Gdk::OR_INVERT, Gdk::NAND, Gdk::NOR, Gdk::SET }

enum

Gdk::GCValuesMask {
Gdk::GC_FOREGROUND = 1 << 0,
Gdk::GC_BACKGROUND = 1 << 1,
Gdk::GC_FONT = 1 << 2,
Gdk::GC_FUNCTION = 1 << 3,
Gdk::GC_FILL = 1 << 4,
Gdk::GC_TILE = 1 << 5,
Gdk::GC_STIPPLE = 1 << 6,
Gdk::GC_CLIP_MASK = 1 << 7,
Gdk::GC_SUBWINDOW = 1 << 8,
Gdk::GC_TS_X_ORIGIN = 1 << 9,
Gdk::GC_TS_Y_ORIGIN = 1 << 10,
Gdk::GC_CLIP_X_ORIGIN = 1 << 11,
Gdk::GC_CLIP_Y_ORIGIN = 1 << 12,
Gdk::GC_EXPOSURES = 1 << 13,
Gdk::GC_LINE_WIDTH = 1 << 14,
Gdk::GC_LINE_STYLE = 1 << 15,
Gdk::GC_CAP_STYLE = 1 << 16,
Gdk::GC_JOIN_STYLE = 1 << 17
}

enum | Gdk::GrabStatus { Gdk::GRAB_SUCCESS, Gdk::GRAB_ALREADY_GRABBED, Gdk::GRAB_INVALID_TIME, Gdk::GRAB_NOT_VIEWABLE, Gdk::GRAB_FROZEN }
enum | Gdk::Gravity { Gdk::GRAVITY_NORTH_WEST = 1, Gdk::GRAVITY_NORTH, Gdk::GRAVITY_NORTH_EAST, Gdk::GRAVITY_WEST, Gdk::GRAVITY_CENTER, Gdk::GRAVITY_EAST, Gdk::GRAVITY_SOUTH_WEST, Gdk::GRAVITY_SOUTH, Gdk::GRAVITY_SOUTH_EAST, Gdk::GRAVITY_STATIC }
enum | Gdk::ImageType { Gdk::IMAGE_NORMAL, Gdk::IMAGE_SHARED, Gdk::IMAGE_FASTEST }
enum | Gdk::InputCondition { Gdk::INPUT_READ = 1 << 0, Gdk::INPUT_WRITE = 1 << 1, Gdk::INPUT_EXCEPTION = 1 << 2 }
enum | Gdk::InputMode { Gdk::MODE_DISABLED, Gdk::MODE_SCREEN, Gdk::MODE_WINDOW }
enum | Gdk::InputSource { Gdk::SOURCE_MOUSE, Gdk::SOURCE_PEN, Gdk::SOURCE_ERASER, Gdk::SOURCE_CURSOR }
enum | Gdk::InterpType { Gdk::INTERP_NEAREST, Gdk::INTERP_TILES, Gdk::INTERP_BILINEAR, Gdk::INTERP_HYPER }
enum | Gdk::JoinStyle { Gdk::JOIN_MITER, Gdk::JOIN_ROUND, Gdk::JOIN_BEVEL }
enum | Gdk::LineStyle { Gdk::LINE_SOLID, Gdk::LINE_ON_OFF_DASH, Gdk::LINE_DOUBLE_DASH }

enum

Gdk::ModifierType {
Gdk::SHIFT_MASK = 1 << 0,
Gdk::LOCK_MASK = 1 << 1,
Gdk::CONTROL_MASK = 1 << 2,
Gdk::MOD1_MASK = 1 << 3,
Gdk::MOD2_MASK = 1 << 4,
Gdk::MOD3_MASK = 1 << 5,
Gdk::MOD4_MASK = 1 << 6,
Gdk::MOD5_MASK = 1 << 7,
Gdk::BUTTON1_MASK = 1 << 8,
Gdk::BUTTON2_MASK = 1 << 9,
Gdk::BUTTON3_MASK = 1 << 10,
Gdk::BUTTON4_MASK = 1 << 11,
Gdk::BUTTON5_MASK = 1 << 12,
Gdk::SUPER_MASK = 1 << 26,
Gdk::HYPER_MASK = 1 << 27,
Gdk::META_MASK = 1 << 28,
Gdk::RELEASE_MASK = 1 << 30,
Gdk::MODIFIER_MASK = 0x5c001fff
}

enum | Gdk::OverlapType { Gdk::OVERLAP_RECTANGLE_IN, Gdk::OVERLAP_RECTANGLE_OUT, Gdk::OVERLAP_RECTANGLE_PART }
enum | Gdk::PixbufAlphaMode { Gdk::PIXBUF_ALPHA_BILEVEL, Gdk::PIXBUF_ALPHA_FULL }
enum | Gdk::PixbufRotation { Gdk::PIXBUF_ROTATE_NONE = 0, Gdk::PIXBUF_ROTATE_COUNTERCLOCKWISE = 90, Gdk::PIXBUF_ROTATE_UPSIDEDOWN = 180, Gdk::PIXBUF_ROTATE_CLOCKWISE = 270 }
enum | Gdk::RgbDither { Gdk::RGB_DITHER_NONE, Gdk::RGB_DITHER_NORMAL, Gdk::RGB_DITHER_MAX }
enum | Gdk::Status { Gdk::OK = 0, Gdk::ERROR = -1, Gdk::ERROR_PARAM = -2, Gdk::ERROR_FILE = -3, Gdk::ERROR_MEM = -4 }
enum | Gdk::SubwindowMode { Gdk::CLIP_BY_CHILDREN, Gdk::INCLUDE_INFERIORS }
enum | Gdk::VisualType { Gdk::VISUAL_STATIC_GRAY, Gdk::VISUAL_GRAYSCALE, Gdk::VISUAL_STATIC_COLOR, Gdk::VISUAL_PSEUDO_COLOR, Gdk::VISUAL_TRUE_COLOR, Gdk::VISUAL_DIRECT_COLOR }
enum | Gdk::WindowAttributesType { Gdk::WA_TITLE = 1 << 1, Gdk::WA_X = 1 << 2, Gdk::WA_Y = 1 << 3, Gdk::WA_CURSOR = 1 << 4, Gdk::WA_COLORMAP = 1 << 5, Gdk::WA_VISUAL = 1 << 6, Gdk::WA_WMCLASS = 1 << 7, Gdk::WA_NOREDIR = 1 << 8, Gdk::WA_TYPE_HINT = 1 << 9 }
enum | Gdk::WindowEdge { Gdk::WINDOW_EDGE_NORTH_WEST, Gdk::WINDOW_EDGE_NORTH, Gdk::WINDOW_EDGE_NORTH_EAST, Gdk::WINDOW_EDGE_WEST, Gdk::WINDOW_EDGE_EAST, Gdk::WINDOW_EDGE_SOUTH_WEST, Gdk::WINDOW_EDGE_SOUTH, Gdk::WINDOW_EDGE_SOUTH_EAST }
enum | Gdk::WindowHints { Gdk::HINT_POS = 1 << 0, Gdk::HINT_MIN_SIZE = 1 << 1, Gdk::HINT_MAX_SIZE = 1 << 2, Gdk::HINT_BASE_SIZE = 1 << 3, Gdk::HINT_ASPECT = 1 << 4, Gdk::HINT_RESIZE_INC = 1 << 5, Gdk::HINT_WIN_GRAVITY = 1 << 6, Gdk::HINT_USER_POS = 1 << 7, Gdk::HINT_USER_SIZE = 1 << 8 }
enum | Gdk::WindowState { Gdk::WINDOW_STATE_WITHDRAWN = 1 << 0, Gdk::WINDOW_STATE_ICONIFIED = 1 << 1, Gdk::WINDOW_STATE_MAXIMIZED = 1 << 2, Gdk::WINDOW_STATE_STICKY = 1 << 3, Gdk::WINDOW_STATE_FULLSCREEN = 1 << 4, Gdk::WINDOW_STATE_ABOVE = 1 << 5, Gdk::WINDOW_STATE_BELOW = 1 << 6 }
enum | Gdk::WindowType { Gdk::WINDOW_ROOT, Gdk::WINDOW_TOPLEVEL, Gdk::WINDOW_CHILD, Gdk::WINDOW_DIALOG, Gdk::WINDOW_TEMP, Gdk::WINDOW_FOREIGN }

enum

Gdk::WindowTypeHint {
Gdk::WINDOW_TYPE_HINT_NORMAL,
Gdk::WINDOW_TYPE_HINT_DIALOG,
Gdk::WINDOW_TYPE_HINT_MENU,
Gdk::WINDOW_TYPE_HINT_TOOLBAR,
Gdk::WINDOW_TYPE_HINT_SPLASHSCREEN,
Gdk::WINDOW_TYPE_HINT_UTILITY,
Gdk::WINDOW_TYPE_HINT_DOCK,
Gdk::WINDOW_TYPE_HINT_DESKTOP,
Gdk::WINDOW_TYPE_HINT_DROPDOWN_MENU,
Gdk::WINDOW_TYPE_HINT_POPUP_MENU,
Gdk::WINDOW_TYPE_HINT_TOOLTIP,
Gdk::WINDOW_TYPE_HINT_NOTIFICATION,
Gdk::WINDOW_TYPE_HINT_COMBO,
Gdk::WINDOW_TYPE_HINT_DND
}

enum | Gdk::WMDecoration { Gdk::DECOR_ALL = 1 << 0, Gdk::DECOR_BORDER = 1 << 1, Gdk::DECOR_RESIZEH = 1 << 2, Gdk::DECOR_TITLE = 1 << 3, Gdk::DECOR_MENU = 1 << 4, Gdk::DECOR_MINIMIZE = 1 << 5, Gdk::DECOR_MAXIMIZE = 1 << 6 }
enum | Gdk::WMFunction { Gdk::FUNC_ALL = 1 << 0, Gdk::FUNC_RESIZE = 1 << 1, Gdk::FUNC_MOVE = 1 << 2, Gdk::FUNC_MINIMIZE = 1 << 3, Gdk::FUNC_MAXIMIZE = 1 << 4, Gdk::FUNC_CLOSE = 1 << 5 }

## Functions

WMFunction | Gdk::operator& (WMFunction lhs, WMFunction rhs)
WMDecoration | Gdk::operator& (WMDecoration lhs, WMDecoration rhs)
WindowHints | Gdk::operator& (WindowHints lhs, WindowHints rhs)
WindowAttributesType | Gdk::operator& (WindowAttributesType lhs, WindowAttributesType rhs)
WindowState | Gdk::operator& (WindowState lhs, WindowState rhs)
EventMask | Gdk::operator& (EventMask lhs, EventMask rhs)
InputCondition | Gdk::operator& (InputCondition lhs, InputCondition rhs)
ModifierType | Gdk::operator& (ModifierType lhs, ModifierType rhs)
GCValuesMask | Gdk::operator& (GCValuesMask lhs, GCValuesMask rhs)
DragAction | Gdk::operator& (DragAction lhs, DragAction rhs)
WMFunction& | Gdk::operator&= (WMFunction& lhs, WMFunction rhs)
WMDecoration& | Gdk::operator&= (WMDecoration& lhs, WMDecoration rhs)
WindowHints& | Gdk::operator&= (WindowHints& lhs, WindowHints rhs)
WindowAttributesType& | Gdk::operator&= (WindowAttributesType& lhs, WindowAttributesType rhs)
WindowState& | Gdk::operator&= (WindowState& lhs, WindowState rhs)
EventMask& | Gdk::operator&= (EventMask& lhs, EventMask rhs)
InputCondition& | Gdk::operator&= (InputCondition& lhs, InputCondition rhs)
ModifierType& | Gdk::operator&= (ModifierType& lhs, ModifierType rhs)
GCValuesMask& | Gdk::operator&= (GCValuesMask& lhs, GCValuesMask rhs)
DragAction& | Gdk::operator&= (DragAction& lhs, DragAction rhs)
WMFunction | Gdk::operator^ (WMFunction lhs, WMFunction rhs)
WMDecoration | Gdk::operator^ (WMDecoration lhs, WMDecoration rhs)
WindowHints | Gdk::operator^ (WindowHints lhs, WindowHints rhs)
WindowAttributesType | Gdk::operator^ (WindowAttributesType lhs, WindowAttributesType rhs)
WindowState | Gdk::operator^ (WindowState lhs, WindowState rhs)
EventMask | Gdk::operator^ (EventMask lhs, EventMask rhs)
InputCondition | Gdk::operator^ (InputCondition lhs, InputCondition rhs)
ModifierType | Gdk::operator^ (ModifierType lhs, ModifierType rhs)
GCValuesMask | Gdk::operator^ (GCValuesMask lhs, GCValuesMask rhs)
DragAction | Gdk::operator^ (DragAction lhs, DragAction rhs)
WMFunction& | Gdk::operator^= (WMFunction& lhs, WMFunction rhs)
WMDecoration& | Gdk::operator^= (WMDecoration& lhs, WMDecoration rhs)
WindowHints& | Gdk::operator^= (WindowHints& lhs, WindowHints rhs)
WindowAttributesType& | Gdk::operator^= (WindowAttributesType& lhs, WindowAttributesType rhs)
WindowState& | Gdk::operator^= (WindowState& lhs, WindowState rhs)
EventMask& | Gdk::operator^= (EventMask& lhs, EventMask rhs)
InputCondition& | Gdk::operator^= (InputCondition& lhs, InputCondition rhs)
ModifierType& | Gdk::operator^= (ModifierType& lhs, ModifierType rhs)
GCValuesMask& | Gdk::operator^= (GCValuesMask& lhs, GCValuesMask rhs)
DragAction& | Gdk::operator^= (DragAction& lhs, DragAction rhs)
WMFunction | Gdk::operator| (WMFunction lhs, WMFunction rhs)
WMDecoration | Gdk::operator| (WMDecoration lhs, WMDecoration rhs)
WindowHints | Gdk::operator| (WindowHints lhs, WindowHints rhs)
WindowAttributesType | Gdk::operator| (WindowAttributesType lhs, WindowAttributesType rhs)
WindowState | Gdk::operator| (WindowState lhs, WindowState rhs)
EventMask | Gdk::operator| (EventMask lhs, EventMask rhs)
InputCondition | Gdk::operator| (InputCondition lhs, InputCondition rhs)
ModifierType | Gdk::operator| (ModifierType lhs, ModifierType rhs)
GCValuesMask | Gdk::operator| (GCValuesMask lhs, GCValuesMask rhs)
DragAction | Gdk::operator| (DragAction lhs, DragAction rhs)
WMFunction& | Gdk::operator|= (WMFunction& lhs, WMFunction rhs)
WMDecoration& | Gdk::operator|= (WMDecoration& lhs, WMDecoration rhs)
WindowHints& | Gdk::operator|= (WindowHints& lhs, WindowHints rhs)
WindowAttributesType& | Gdk::operator|= (WindowAttributesType& lhs, WindowAttributesType rhs)
WindowState& | Gdk::operator|= (WindowState& lhs, WindowState rhs)
EventMask& | Gdk::operator|= (EventMask& lhs, EventMask rhs)
InputCondition& | Gdk::operator|= (InputCondition& lhs, InputCondition rhs)
ModifierType& | Gdk::operator|= (ModifierType& lhs, ModifierType rhs)
GCValuesMask& | Gdk::operator|= (GCValuesMask& lhs, GCValuesMask rhs)
DragAction& | Gdk::operator|= (DragAction& lhs, DragAction rhs)
WMFunction | Gdk::operator~ (WMFunction flags)
WMDecoration | Gdk::operator~ (WMDecoration flags)
WindowHints | Gdk::operator~ (WindowHints flags)
WindowAttributesType | Gdk::operator~ (WindowAttributesType flags)
WindowState | Gdk::operator~ (WindowState flags)
EventMask | Gdk::operator~ (EventMask flags)
InputCondition | Gdk::operator~ (InputCondition flags)
ModifierType | Gdk::operator~ (ModifierType flags)
GCValuesMask | Gdk::operator~ (GCValuesMask flags)
DragAction | Gdk::operator~ (DragAction flags)

## Enumeration Type Documentation

enum Gdk::AxisUse

Enumerator:

  AXIS_IGNORE |
  AXIS_X |
  AXIS_Y |
  AXIS_PRESSURE |
  AXIS_XTILT |
  AXIS_YTILT |
  AXIS_WHEEL |
  AXIS_LAST |

enum Gdk::ByteOrder

Enumerator:

  LSB_FIRST |
  MSB_FIRST |

enum Gdk::CapStyle

Enumerator:

  CAP_NOT_LAST |
  CAP_BUTT |
  CAP_ROUND |
  CAP_PROJECTING |

enum Gdk::Colorspace

Enumerator:

  COLORSPACE_RGB |

enum Gdk::CursorType

Enumerator:

  X_CURSOR |
  ARROW |
  BASED_ARROW_DOWN |
  BASED_ARROW_UP |
  BOAT |
  BOGOSITY |
  BOTTOM_LEFT_CORNER |
  BOTTOM_RIGHT_CORNER |
  BOTTOM_SIDE |
  BOTTOM_TEE |
  BOX_SPIRAL |
  CENTER_PTR |
  CIRCLE |
  CLOCK |
  COFFEE_MUG |
  CROSS |
  CROSS_REVERSE |
  CROSSHAIR |
  DIAMOND_CROSS |
  DOT |
  DOTBOX |
  DOUBLE_ARROW |
  DRAFT_LARGE |
  DRAFT_SMALL |
  DRAPED_BOX |
  EXCHANGE |
  FLEUR |
  GOBBLER |
  GUMBY |
  HAND1 |
  HAND2 |
  HEART |
  ICON |
  IRON_CROSS |
  LEFT_PTR |
  LEFT_SIDE |
  LEFT_TEE |
  LEFTBUTTON |
  LL_ANGLE |
  LR_ANGLE |
  MAN |
  MIDDLEBUTTON |
  MOUSE |
  PENCIL |
  PIRATE |
  PLUS |
  QUESTION_ARROW |
  RIGHT_PTR |
  RIGHT_SIDE |
  RIGHT_TEE |
  RIGHTBUTTON |
  RTL_LOGO |
  SAILBOAT |
  SB_DOWN_ARROW |
  SB_H_DOUBLE_ARROW |
  SB_LEFT_ARROW |
  SB_RIGHT_ARROW |
  SB_UP_ARROW |
  SB_V_DOUBLE_ARROW |
  SHUTTLE |
  SIZING |
  SPIDER |
  SPRAYCAN |
  STAR |
  TARGET |
  TCROSS |
  TOP_LEFT_ARROW |
  TOP_LEFT_CORNER |
  TOP_RIGHT_CORNER |
  TOP_SIDE |
  TOP_TEE |
  TREK |
  UL_ANGLE |
  UMBRELLA |
  UR_ANGLE |
  WATCH |
  XTERM |
  LAST_CURSOR |
  CURSOR_IS_PIXMAP |

enum Gdk::DragAction

Bitwise operators:
  `DragAction operator|(DragAction, DragAction)`
  `DragAction operator&(DragAction, DragAction)`
  `DragAction operator^(DragAction, DragAction)`
  `DragAction operator~(DragAction)`
  `DragAction& operator|=(DragAction&, DragAction)`
  `DragAction& operator&=(DragAction&, DragAction)`
  `DragAction& operator^=(DragAction&, DragAction)`

Enumerator:

  ACTION_DEFAULT |
  ACTION_COPY |
  ACTION_MOVE |
  ACTION_LINK |
  ACTION_PRIVATE |
  ACTION_ASK |

enum Gdk::DragProtocol

Enumerator:

  DRAG_PROTO_MOTIF |
  DRAG_PROTO_XDND |
  DRAG_PROTO_NONE |
  DRAG_PROTO_WIN32_DROPFILES |
  DRAG_PROTO_OLE2 |
  DRAG_PROTO_LOCAL |

enum Gdk::EventMask

Bitwise operators:
  `EventMask operator|(EventMask, EventMask)`
  `EventMask operator&(EventMask, EventMask)`
  `EventMask operator^(EventMask, EventMask)`
  `EventMask operator~(EventMask)`
  `EventMask& operator|=(EventMask&, EventMask)`
  `EventMask& operator&=(EventMask&, EventMask)`
  `EventMask& operator^=(EventMask&, EventMask)`

Enumerator:

  EXPOSURE_MASK |
  POINTER_MOTION_MASK |
  POINTER_MOTION_HINT_MASK |
  BUTTON_MOTION_MASK |
  BUTTON1_MOTION_MASK |
  BUTTON2_MOTION_MASK |
  BUTTON3_MOTION_MASK |
  BUTTON_PRESS_MASK |
  BUTTON_RELEASE_MASK |
  KEY_PRESS_MASK |
  KEY_RELEASE_MASK |
  ENTER_NOTIFY_MASK |
  LEAVE_NOTIFY_MASK |
  FOCUS_CHANGE_MASK |
  STRUCTURE_MASK |
  PROPERTY_CHANGE_MASK |
  VISIBILITY_NOTIFY_MASK |
  PROXIMITY_IN_MASK |
  PROXIMITY_OUT_MASK |
  SUBSTRUCTURE_MASK |
  SCROLL_MASK |
  ALL_EVENTS_MASK |

enum Gdk::EventType

Enumerator:

  NOTHING |
  DELETE |
  DESTROY |
  EXPOSE |
  MOTION_NOTIFY |
  BUTTON_PRESS |
  DOUBLE_BUTTON_PRESS |
  TRIPLE_BUTTON_PRESS |
  BUTTON_RELEASE |
  KEY_PRESS |
  KEY_RELEASE |
  ENTER_NOTIFY |
  LEAVE_NOTIFY |
  FOCUS_CHANGE |
  CONFIGURE |
  MAP |
  UNMAP |
  PROPERTY_NOTIFY |
  SELECTION_CLEAR |
  SELECTION_REQUEST |
  SELECTION_NOTIFY |
  PROXIMITY_IN |
  PROXIMITY_OUT |
  DRAG_ENTER |
  DRAG_LEAVE |
  DRAG_MOTION |
  DRAG_STATUS |
  DROP_START |
  DROP_FINISHED |
  CLIENT_EVENT |
  VISIBILITY_NOTIFY |
  NO_EXPOSE |
  SCROLL |
  WINDOW_STATE |
  SETTING |
  OWNER_CHANGE |
  GRAB_BROKEN |

enum Gdk::ExtensionMode

Enumerator:

  EXTENSION_EVENTS_NONE |
  EXTENSION_EVENTS_ALL |
  EXTENSION_EVENTS_CURSOR |

enum Gdk::Fill

Enumerator:

  SOLID |
  TILED |
  STIPPLED |
  OPAQUE_STIPPLED |

enum Gdk::FillRule

Enumerator:

  EVEN_ODD_RULE |
  WINDING_RULE |

enum Gdk::Function

Enumerator:

  COPY |
  INVERT |
  XOR |
  CLEAR |
  AND |
  AND_REVERSE |
  AND_INVERT |
  NOOP |
  OR |
  EQUIV |
  OR_REVERSE |
  COPY_INVERT |
  OR_INVERT |
  NAND |
  NOR |
  SET |

enum Gdk::GCValuesMask

Bitwise operators:
  `GCValuesMask operator|(GCValuesMask, GCValuesMask)`
  `GCValuesMask operator&(GCValuesMask, GCValuesMask)`
  `GCValuesMask operator^(GCValuesMask, GCValuesMask)`
  `GCValuesMask operator~(GCValuesMask)`
  `GCValuesMask& operator|=(GCValuesMask&, GCValuesMask)`
  `GCValuesMask& operator&=(GCValuesMask&, GCValuesMask)`
  `GCValuesMask& operator^=(GCValuesMask&, GCValuesMask)`

Enumerator:

  GC_FOREGROUND |
  GC_BACKGROUND |
  GC_FONT |
  GC_FUNCTION |
  GC_FILL |
  GC_TILE |
  GC_STIPPLE |
  GC_CLIP_MASK |
  GC_SUBWINDOW |
  GC_TS_X_ORIGIN |
  GC_TS_Y_ORIGIN |
  GC_CLIP_X_ORIGIN |
  GC_CLIP_Y_ORIGIN |
  GC_EXPOSURES |
  GC_LINE_WIDTH |
  GC_LINE_STYLE |
  GC_CAP_STYLE |
  GC_JOIN_STYLE |

enum Gdk::GrabStatus

Enumerator:

  GRAB_SUCCESS |
  GRAB_ALREADY_GRABBED |
  GRAB_INVALID_TIME |
  GRAB_NOT_VIEWABLE |
  GRAB_FROZEN |

enum Gdk::Gravity

Enumerator:

  GRAVITY_NORTH_WEST |
  GRAVITY_NORTH |
  GRAVITY_NORTH_EAST |
  GRAVITY_WEST |
  GRAVITY_CENTER |
  GRAVITY_EAST |
  GRAVITY_SOUTH_WEST |
  GRAVITY_SOUTH |
  GRAVITY_SOUTH_EAST |
  GRAVITY_STATIC |

enum Gdk::ImageType

Enumerator:

  IMAGE_NORMAL |
  IMAGE_SHARED |
  IMAGE_FASTEST |

enum Gdk::InputCondition

Bitwise operators:
  `InputCondition operator|(InputCondition, InputCondition)`
  `InputCondition operator&(InputCondition, InputCondition)`
  `InputCondition operator^(InputCondition, InputCondition)`
  `InputCondition operator~(InputCondition)`
  `InputCondition& operator|=(InputCondition&, InputCondition)`
  `InputCondition& operator&=(InputCondition&, InputCondition)`
  `InputCondition& operator^=(InputCondition&, InputCondition)`

Enumerator:

  INPUT_READ |
  INPUT_WRITE |
  INPUT_EXCEPTION |

enum Gdk::InputMode

Enumerator:

  MODE_DISABLED |
  MODE_SCREEN |
  MODE_WINDOW |

enum Gdk::InputSource

Enumerator:

  SOURCE_MOUSE |
  SOURCE_PEN |
  SOURCE_ERASER |
  SOURCE_CURSOR |

enum Gdk::InterpType

Enumerator:

  INTERP_NEAREST |
  INTERP_TILES |
  INTERP_BILINEAR |
  INTERP_HYPER |

enum Gdk::JoinStyle

Enumerator:

  JOIN_MITER |
  JOIN_ROUND |
  JOIN_BEVEL |

enum Gdk::LineStyle

Enumerator:

  LINE_SOLID |
  LINE_ON_OFF_DASH |
  LINE_DOUBLE_DASH |

enum Gdk::ModifierType

Bitwise operators:
  `ModifierType operator|(ModifierType, ModifierType)`
  `ModifierType operator&(ModifierType, ModifierType)`
  `ModifierType operator^(ModifierType, ModifierType)`
  `ModifierType operator~(ModifierType)`
  `ModifierType& operator|=(ModifierType&, ModifierType)`
  `ModifierType& operator&=(ModifierType&, ModifierType)`
  `ModifierType& operator^=(ModifierType&, ModifierType)`

Enumerator:

  SHIFT_MASK |
  LOCK_MASK |
  CONTROL_MASK |
  MOD1_MASK |
  MOD2_MASK |
  MOD3_MASK |
  MOD4_MASK |
  MOD5_MASK |
  BUTTON1_MASK |
  BUTTON2_MASK |
  BUTTON3_MASK |
  BUTTON4_MASK |
  BUTTON5_MASK |
  SUPER_MASK |
  HYPER_MASK |
  META_MASK |
  RELEASE_MASK |
  MODIFIER_MASK |

enum Gdk::OverlapType

Enumerator:

  OVERLAP_RECTANGLE_IN |
  OVERLAP_RECTANGLE_OUT |
  OVERLAP_RECTANGLE_PART |

enum Gdk::PixbufAlphaMode

Enumerator:

  PIXBUF_ALPHA_BILEVEL |
  PIXBUF_ALPHA_FULL |

enum Gdk::PixbufRotation

Enumerator:

  PIXBUF_ROTATE_NONE |
  PIXBUF_ROTATE_COUNTERCLOCKWISE |
  PIXBUF_ROTATE_UPSIDEDOWN |
  PIXBUF_ROTATE_CLOCKWISE |

enum Gdk::RgbDither

Enumerator:

  RGB_DITHER_NONE |
  RGB_DITHER_NORMAL |
  RGB_DITHER_MAX |

enum Gdk::Status

Enumerator:

  OK |
  ERROR |
  ERROR_PARAM |
  ERROR_FILE |
  ERROR_MEM |

enum Gdk::SubwindowMode

Enumerator:

  CLIP_BY_CHILDREN |
  INCLUDE_INFERIORS |

enum Gdk::VisualType

Enumerator:

  VISUAL_STATIC_GRAY |
  VISUAL_GRAYSCALE |
  VISUAL_STATIC_COLOR |
  VISUAL_PSEUDO_COLOR |
  VISUAL_TRUE_COLOR |
  VISUAL_DIRECT_COLOR |

enum Gdk::WindowAttributesType

Bitwise operators:
  `WindowAttributesType operator|(WindowAttributesType, WindowAttributesType)`
  `WindowAttributesType operator&(WindowAttributesType, WindowAttributesType)`
  `WindowAttributesType operator^(WindowAttributesType, WindowAttributesType)`
  `WindowAttributesType operator~(WindowAttributesType)`
  `WindowAttributesType& operator|=(WindowAttributesType&, WindowAttributesType)`
  `WindowAttributesType& operator&=(WindowAttributesType&, WindowAttributesType)`
  `WindowAttributesType& operator^=(WindowAttributesType&, WindowAttributesType)`

Enumerator:

  WA_TITLE |
  WA_X |
  WA_Y |
  WA_CURSOR |
  WA_COLORMAP |
  WA_VISUAL |
  WA_WMCLASS |
  WA_NOREDIR |
  WA_TYPE_HINT |

enum Gdk::WindowEdge

Enumerator:

  WINDOW_EDGE_NORTH_WEST |
  WINDOW_EDGE_NORTH |
  WINDOW_EDGE_NORTH_EAST |
  WINDOW_EDGE_WEST |
  WINDOW_EDGE_EAST |
  WINDOW_EDGE_SOUTH_WEST |
  WINDOW_EDGE_SOUTH |
  WINDOW_EDGE_SOUTH_EAST |

enum Gdk::WindowHints

Bitwise operators:
  `WindowHints operator|(WindowHints, WindowHints)`
  `WindowHints operator&(WindowHints, WindowHints)`
  `WindowHints operator^(WindowHints, WindowHints)`
  `WindowHints operator~(WindowHints)`
  `WindowHints& operator|=(WindowHints&, WindowHints)`
  `WindowHints& operator&=(WindowHints&, WindowHints)`
  `WindowHints& operator^=(WindowHints&, WindowHints)`

Enumerator:

  HINT_POS |
  HINT_MIN_SIZE |
  HINT_MAX_SIZE |
  HINT_BASE_SIZE |
  HINT_ASPECT |
  HINT_RESIZE_INC |
  HINT_WIN_GRAVITY |
  HINT_USER_POS |
  HINT_USER_SIZE |

enum Gdk::WindowState

Bitwise operators:
  `WindowState operator|(WindowState, WindowState)`
  `WindowState operator&(WindowState, WindowState)`
  `WindowState operator^(WindowState, WindowState)`
  `WindowState operator~(WindowState)`
  `WindowState& operator|=(WindowState&, WindowState)`
  `WindowState& operator&=(WindowState&, WindowState)`
  `WindowState& operator^=(WindowState&, WindowState)`

Enumerator:

  WINDOW_STATE_WITHDRAWN |
  WINDOW_STATE_ICONIFIED |
  WINDOW_STATE_MAXIMIZED |
  WINDOW_STATE_STICKY |
  WINDOW_STATE_FULLSCREEN |
  WINDOW_STATE_ABOVE |
  WINDOW_STATE_BELOW |

enum Gdk::WindowType

Enumerator:

  WINDOW_ROOT |
  WINDOW_TOPLEVEL |
  WINDOW_CHILD |
  WINDOW_DIALOG |
  WINDOW_TEMP |
  WINDOW_FOREIGN |

enum Gdk::WindowTypeHint

Enumerator:

  WINDOW_TYPE_HINT_NORMAL |
  WINDOW_TYPE_HINT_DIALOG |
  WINDOW_TYPE_HINT_MENU |
  WINDOW_TYPE_HINT_TOOLBAR |
  WINDOW_TYPE_HINT_SPLASHSCREEN |
  WINDOW_TYPE_HINT_UTILITY |
  WINDOW_TYPE_HINT_DOCK |
  WINDOW_TYPE_HINT_DESKTOP |
  WINDOW_TYPE_HINT_DROPDOWN_MENU |
  WINDOW_TYPE_HINT_POPUP_MENU |
  WINDOW_TYPE_HINT_TOOLTIP |
  WINDOW_TYPE_HINT_NOTIFICATION |
  WINDOW_TYPE_HINT_COMBO |
  WINDOW_TYPE_HINT_DND |

enum Gdk::WMDecoration

Bitwise operators:
  `WMDecoration operator|(WMDecoration, WMDecoration)`
  `WMDecoration operator&(WMDecoration, WMDecoration)`
  `WMDecoration operator^(WMDecoration, WMDecoration)`
  `WMDecoration operator~(WMDecoration)`
  `WMDecoration& operator|=(WMDecoration&, WMDecoration)`
  `WMDecoration& operator&=(WMDecoration&, WMDecoration)`
  `WMDecoration& operator^=(WMDecoration&, WMDecoration)`

Enumerator:

  DECOR_ALL |
  DECOR_BORDER |
  DECOR_RESIZEH |
  DECOR_TITLE |
  DECOR_MENU |
  DECOR_MINIMIZE |
  DECOR_MAXIMIZE |

enum Gdk::WMFunction

Bitwise operators:
  `WMFunction operator|(WMFunction, WMFunction)`
  `WMFunction operator&(WMFunction, WMFunction)`
  `WMFunction operator^(WMFunction, WMFunction)`
  `WMFunction operator~(WMFunction)`
  `WMFunction& operator|=(WMFunction&, WMFunction)`
  `WMFunction& operator&=(WMFunction&, WMFunction)`
  `WMFunction& operator^=(WMFunction&, WMFunction)`

Enumerator:

  FUNC_ALL |
  FUNC_RESIZE |
  FUNC_MOVE |
  FUNC_MINIMIZE |
  FUNC_MAXIMIZE |
  FUNC_CLOSE |

## Function Documentation

WMFunction Gdk::operator & | ( | WMFunction | lhs,
|  | WMFunction | rhs |
| ) |  |  | `[inline]`

WMDecoration Gdk::operator & | ( | WMDecoration | lhs,
|  | WMDecoration | rhs |
| ) |  |  | `[inline]`

WindowHints Gdk::operator & | ( | WindowHints | lhs,
|  | WindowHints | rhs |
| ) |  |  | `[inline]`

WindowAttributesType Gdk::operator & | ( | WindowAttributesType | lhs,
|  | WindowAttributesType | rhs |
| ) |  |  | `[inline]`

WindowState Gdk::operator & | ( | WindowState | lhs,
|  | WindowState | rhs |
| ) |  |  | `[inline]`

EventMask Gdk::operator & | ( | EventMask | lhs,
|  | EventMask | rhs |
| ) |  |  | `[inline]`

InputCondition Gdk::operator & | ( | InputCondition | lhs,
|  | InputCondition | rhs |
| ) |  |  | `[inline]`

ModifierType Gdk::operator & | ( | ModifierType | lhs,
|  | ModifierType | rhs |
| ) |  |  | `[inline]`

GCValuesMask Gdk::operator & | ( | GCValuesMask | lhs,
|  | GCValuesMask | rhs |
| ) |  |  | `[inline]`

DragAction Gdk::operator & | ( | DragAction | lhs,
|  | DragAction | rhs |
| ) |  |  | `[inline]`

WMFunction& Gdk::operator &= | ( | WMFunction & | lhs,
|  | WMFunction | rhs |
| ) |  |  | `[inline]`

WMDecoration& Gdk::operator &= | ( | WMDecoration & | lhs,
|  | WMDecoration | rhs |
| ) |  |  | `[inline]`

WindowHints& Gdk::operator &= | ( | WindowHints & | lhs,
|  | WindowHints | rhs |
| ) |  |  | `[inline]`

WindowAttributesType& Gdk::operator &= | ( | WindowAttributesType & | lhs,
|  | WindowAttributesType | rhs |
| ) |  |  | `[inline]`

WindowState& Gdk::operator &= | ( | WindowState & | lhs,
|  | WindowState | rhs |
| ) |  |  | `[inline]`

EventMask& Gdk::operator &= | ( | EventMask & | lhs,
|  | EventMask | rhs |
| ) |  |  | `[inline]`

InputCondition& Gdk::operator &= | ( | InputCondition & | lhs,
|  | InputCondition | rhs |
| ) |  |  | `[inline]`

ModifierType& Gdk::operator &= | ( | ModifierType & | lhs,
|  | ModifierType | rhs |
| ) |  |  | `[inline]`

GCValuesMask& Gdk::operator &= | ( | GCValuesMask & | lhs,
|  | GCValuesMask | rhs |
| ) |  |  | `[inline]`

DragAction& Gdk::operator &= | ( | DragAction & | lhs,
|  | DragAction | rhs |
| ) |  |  | `[inline]`

WMFunction Gdk::operator^ | ( | WMFunction | lhs,
|  | WMFunction | rhs |
| ) |  |  | `[inline]`

WMDecoration Gdk::operator^ | ( | WMDecoration | lhs,
|  | WMDecoration | rhs |
| ) |  |  | `[inline]`

WindowHints Gdk::operator^ | ( | WindowHints | lhs,
|  | WindowHints | rhs |
| ) |  |  | `[inline]`

WindowAttributesType Gdk::operator^ | ( | WindowAttributesType | lhs,
|  | WindowAttributesType | rhs |
| ) |  |  | `[inline]`

WindowState Gdk::operator^ | ( | WindowState | lhs,
|  | WindowState | rhs |
| ) |  |  | `[inline]`

EventMask Gdk::operator^ | ( | EventMask | lhs,
|  | EventMask | rhs |
| ) |  |  | `[inline]`

InputCondition Gdk::operator^ | ( | InputCondition | lhs,
|  | InputCondition | rhs |
| ) |  |  | `[inline]`

ModifierType Gdk::operator^ | ( | ModifierType | lhs,
|  | ModifierType | rhs |
| ) |  |  | `[inline]`

GCValuesMask Gdk::operator^ | ( | GCValuesMask | lhs,
|  | GCValuesMask | rhs |
| ) |  |  | `[inline]`

DragAction Gdk::operator^ | ( | DragAction | lhs,
|  | DragAction | rhs |
| ) |  |  | `[inline]`

WMFunction& Gdk::operator^= | ( | WMFunction & | lhs,
|  | WMFunction | rhs |
| ) |  |  | `[inline]`

WMDecoration& Gdk::operator^= | ( | WMDecoration & | lhs,
|  | WMDecoration | rhs |
| ) |  |  | `[inline]`

WindowHints& Gdk::operator^= | ( | WindowHints & | lhs,
|  | WindowHints | rhs |
| ) |  |  | `[inline]`

WindowAttributesType& Gdk::operator^= | ( | WindowAttributesType & | lhs,
|  | WindowAttributesType | rhs |
| ) |  |  | `[inline]`

WindowState& Gdk::operator^= | ( | WindowState & | lhs,
|  | WindowState | rhs |
| ) |  |  | `[inline]`

EventMask& Gdk::operator^= | ( | EventMask & | lhs,
|  | EventMask | rhs |
| ) |  |  | `[inline]`

InputCondition& Gdk::operator^= | ( | InputCondition & | lhs,
|  | InputCondition | rhs |
| ) |  |  | `[inline]`

ModifierType& Gdk::operator^= | ( | ModifierType & | lhs,
|  | ModifierType | rhs |
| ) |  |  | `[inline]`

GCValuesMask& Gdk::operator^= | ( | GCValuesMask & | lhs,
|  | GCValuesMask | rhs |
| ) |  |  | `[inline]`

DragAction& Gdk::operator^= | ( | DragAction & | lhs,
|  | DragAction | rhs |
| ) |  |  | `[inline]`

WMFunction Gdk::operator| | ( | WMFunction | lhs,
|  | WMFunction | rhs |
| ) |  |  | `[inline]`

WMDecoration Gdk::operator| | ( | WMDecoration | lhs,
|  | WMDecoration | rhs |
| ) |  |  | `[inline]`

WindowHints Gdk::operator| | ( | WindowHints | lhs,
|  | WindowHints | rhs |
| ) |  |  | `[inline]`

WindowAttributesType Gdk::operator| | ( | WindowAttributesType | lhs,
|  | WindowAttributesType | rhs |
| ) |  |  | `[inline]`

WindowState Gdk::operator| | ( | WindowState | lhs,
|  | WindowState | rhs |
| ) |  |  | `[inline]`

EventMask Gdk::operator| | ( | EventMask | lhs,
|  | EventMask | rhs |
| ) |  |  | `[inline]`

InputCondition Gdk::operator| | ( | InputCondition | lhs,
|  | InputCondition | rhs |
| ) |  |  | `[inline]`

ModifierType Gdk::operator| | ( | ModifierType | lhs,
|  | ModifierType | rhs |
| ) |  |  | `[inline]`

GCValuesMask Gdk::operator| | ( | GCValuesMask | lhs,
|  | GCValuesMask | rhs |
| ) |  |  | `[inline]`

DragAction Gdk::operator| | ( | DragAction | lhs,
|  | DragAction | rhs |
| ) |  |  | `[inline]`

WMFunction& Gdk::operator|= | ( | WMFunction & | lhs,
|  | WMFunction | rhs |
| ) |  |  | `[inline]`

WMDecoration& Gdk::operator|= | ( | WMDecoration & | lhs,
|  | WMDecoration | rhs |
| ) |  |  | `[inline]`

WindowHints& Gdk::operator|= | ( | WindowHints & | lhs,
|  | WindowHints | rhs |
| ) |  |  | `[inline]`

WindowAttributesType& Gdk::operator|= | ( | WindowAttributesType & | lhs,
|  | WindowAttributesType | rhs |
| ) |  |  | `[inline]`

WindowState& Gdk::operator|= | ( | WindowState & | lhs,
|  | WindowState | rhs |
| ) |  |  | `[inline]`

EventMask& Gdk::operator|= | ( | EventMask & | lhs,
|  | EventMask | rhs |
| ) |  |  | `[inline]`

InputCondition& Gdk::operator|= | ( | InputCondition & | lhs,
|  | InputCondition | rhs |
| ) |  |  | `[inline]`

ModifierType& Gdk::operator|= | ( | ModifierType & | lhs,
|  | ModifierType | rhs |
| ) |  |  | `[inline]`

GCValuesMask& Gdk::operator|= | ( | GCValuesMask & | lhs,
|  | GCValuesMask | rhs |
| ) |  |  | `[inline]`

DragAction& Gdk::operator|= | ( | DragAction & | lhs,
|  | DragAction | rhs |
| ) |  |  | `[inline]`

WMFunction Gdk::operator~ | ( | WMFunction | flags | ) | `[inline]`

WMDecoration Gdk::operator~ | ( | WMDecoration | flags | ) | `[inline]`

WindowHints Gdk::operator~ | ( | WindowHints | flags | ) | `[inline]`

WindowAttributesType Gdk::operator~ | ( | WindowAttributesType | flags | ) | `[inline]`

WindowState Gdk::operator~ | ( | WindowState | flags | ) | `[inline]`

EventMask Gdk::operator~ | ( | EventMask | flags | ) | `[inline]`

InputCondition Gdk::operator~ | ( | InputCondition | flags | ) | `[inline]`

ModifierType Gdk::operator~ | ( | ModifierType | flags | ) | `[inline]`

GCValuesMask Gdk::operator~ | ( | GCValuesMask | flags | ) | `[inline]`

DragAction Gdk::operator~ | ( | DragAction | flags | ) | `[inline]`